﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Fly : MonoBehaviour {
	// how quickly we want the object to accelerate
	// 10000 is good for always moving in the desired direction (no drift)
	public float acceleration;
	// the top speed we want the object to move at
	// 50 is good for flying around a 1000x1000 terrain
	public float maxSpeed;
	// a GameObject whose transform.forward points in the direction this object should travel
	// if using Google Cardboard (around version 0.6) this will be Head object under the CardboardMain prefab
	public GameObject pointer;


	// Use this for initialization
	// not needed; you can delete this
	void Start () {
		
	}
	
	// Update is called once per frame
	// not needed; you can delete this
	void Update () {
		
	}

	void FixedUpdate() {
		// get the Rigidbody component of the object
		Rigidbody rb = GetComponent<Rigidbody> ();

		// add force to the object to push it in the right direction
		// we're  adding force every frame, so multiply by Time.deltaTime
		rb.AddForce (acceleration * pointer.transform.forward * Time.deltaTime);

		// this is not the best way to do this (should remove the component from pointer.transform.forward with a projection onto the normal plane or something similar)
		// cap the speed at maxSpeed
		rb.velocity = Vector3.ClampMagnitude (rb.velocity, maxSpeed);
	}
}